Ciele
Verbesserungen

One Improvement (associations + proposal)

GET/api/v1/improvements/{id}

Erfordert einen API-Schlüssel der Organisation mit der Berechtigung „member“.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/improvements/string"
{  "improvement": {    "id": "string",    "organizationId": "string",    "seq": 0,    "title": "string",    "description": "string",    "status": "to_do",    "priority": "none",    "tags": [      "string"    ],    "assigneeId": null,    "dueDate": null,    "projectId": null,    "createdBy": null,    "createdAt": "string",    "updatedAt": "string"  },  "associations": [    {      "linkId": "string",      "messageId": "string",      "conversationId": "string",      "message": {        "id": "string",        "conversationId": "string",        "role": "assistant",        "content": [          null        ],        "flowId": null,        "flowName": null,        "feedback": 0,        "trace": null,        "createdAt": "string"      },      "transcript": [        {          "id": "string",          "conversationId": "string",          "role": null,          "content": [            null          ],          "flowId": null,          "flowName": null,          "feedback": null,          "trace": null,          "createdAt": "string"        }      ],      "conversation": {        "assistantTitle": "string",        "collectionName": null,        "messageCount": 0,        "flowNames": [          "string"        ],        "notificationOnly": true,        "feedback": 0,        "metadata": {          "preflight": {            "spokenLanguage": null,            "escalationIntent": null,            "recommendedHelpDeskId": null,            "endedAtFrustration": null,            "languageTally": null          },          "routineId": "string",          "routineName": "string",          "referredFromConversationId": "string",          "referredFromTeammateName": "string",          "referralSummary": "string",          "referredTo": [            null          ],          "flowsAgent": {            "assistantId": null,            "flowId": null          },          "pendingReviewId": null,          "pendingWebhookId": null,          "origin": "slack",          "userName": "string",          "userEmail": "string",          "userRole": "string",          "launchUrl": "string",          "ip": "string",          "os": "string",          "browser": "string",          "language": "string",          "location": "string",          "city": "string",          "resolution": "string",          "escalated": null,          "feedbackText": "string",          "feedbackAt": "string",          "courseId": "string",          "courseName": "string",          "studentId": "string",          "csatScore": 0,          "csatComment": "string",          "escalationHelpDesk": "string",          "escalationOption": "string",          "escalationRecommendedHelpDesk": "string",          "escalationFollowedRecommendation": null,          "externalUserData": {            "property1": null,            "property2": null          },          "externalUserDataSourceNames": [            null          ],          "ssoClaimName": "string",          "ssoClaimValue": "string"        },        "id": "string",        "title": "string",        "createdAt": "string",        "updatedAt": "string",        "assistantId": null,        "teammateId": null,        "subjectId": "string",        "collectionId": null,        "pinned": true,        "subjectType": "member",        "legalHold": false      }    }  ],  "proposal": null}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}